{ config, pkgs, lib, ... }:
{
  # TODO: Login does not work. Webbrowser does not redirect back to Element app. Firefox does not ask to open link with Element app. It works with the Flatpak version though.
  #
  # NixOS: /home/yoda/.config/Element /home/yoda/.config/Riot
  # Flatpak: /home/yoda/.var/app/im.riot.Riot/config/Element
  #
  # Workaround:
  # - Login with Flatpak version
  # - Delete .config/Element and .config/Riot
  # - Copy Flatpak into .config/Element
  # - Start the NixOS version, you should be logged in :D

  # TODO: Application not found in GNOME app list. Maybe .desktop file missing? Maybe that causes the above error?

  users.users.yoda = {
    packages = with pkgs; [
      # Matrix chat client.
      (
        if (config.services.xserver.displayManager.gdm.wayland)
        then unstable.element-desktop-wayland
        else unstable.element-desktop
      )
    ];
  };
}
